package com.xinelu.manage.domain.subdivisioncategory;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 细分类别信息对象 subdivision_category
 *
 * @author xinelu
 * @date 2024-02-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "细分类别信息对象", description = "subdivision_category")
public class SubdivisionCategory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 细分类别名称
     */
    @ApiModelProperty(value = "细分类别名称")
    @Excel(name = "细分类别名称")
    private String subdivisionCategoryName;

    /**
     * 细分类别编码
     */
    @ApiModelProperty(value = "细分类别编码")
    @Excel(name = "细分类别编码")
    private String subdivisionCategoryCode;

    /**
     * 细分类别排序
     */
    @ApiModelProperty(value = "细分类别排序")
    @Excel(name = "细分类别排序")
    private Integer sort;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("subdivisionCategoryName", getSubdivisionCategoryName())
                .append("subdivisionCategoryCode", getSubdivisionCategoryCode())
                .append("sort", getSort())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
